# DBus-C++

## Desktop Communication Bus System

libdbus-c-- Documentation 0.9.0

- Files
- Data Structures
- Globals
- Main Page

Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
DBus::ProxyBase Class Referenceabstract

`#include <interface.h>`

Inheritance diagram for DBus::ProxyBase:

## Public Member Functions

virtual const ObjectProxy * | object () const =0

## Protected Member Functions

InterfaceProxy * | find_interface (const std::string &name)
virtual | ~ProxyBase ()
virtual Message | _invoke_method (CallMessage &)=0
virtual bool | _invoke_method_noreply (CallMessage &call)=0

## Protected Attributes

InterfaceProxyTable | _interfaces

## Detailed Description

Definition at line 85 of file interface.h.

## Constructor & Destructor Documentation

## ◆ ~ProxyBase()

virtual DBus::ProxyBase::~ProxyBase | ( |  | ) |

inline protected virtual

Definition at line 95 of file interface.h.

## Member Function Documentation

## ◆ _invoke_method()

virtual Message DBus::ProxyBase::_invoke_method | ( | CallMessage & |  | ) |

protected pure virtual

Implemented in DBus::ObjectProxy.

Referenced by DBus::InterfaceProxy::invoke_method().

## ◆ _invoke_method_noreply()

virtual bool DBus::ProxyBase::_invoke_method_noreply | ( | CallMessage & | call | ) |

protected pure virtual

Implemented in DBus::ObjectProxy.

Referenced by DBus::InterfaceProxy::invoke_method_noreply().

## ◆ find_interface()

InterfaceProxy * ProxyBase::find_interface | ( | const std::string & | name | ) |

protected

Definition at line 116 of file interface.cpp.

References _interfaces.

Referenced by DBus::ObjectProxy::handle_message(), and object().

## ◆ object()

virtual const ObjectProxy * DBus::ProxyBase::object | ( |  | ) | const

pure virtual

Implemented in DBus::ObjectProxy.

References find_interface().

## Member Data Documentation

## ◆ _interfaces

InterfaceProxyTable DBus::ProxyBase::_interfaces

protected

Definition at line 102 of file interface.h.

Referenced by find_interface(), DBus::InterfaceProxy::InterfaceProxy(), DBus::ObjectProxy::register_obj(), and DBus::ObjectProxy::unregister_obj().

The documentation for this class was generated from the following files:

- interface.h
- interface.cpp